<?php

/**
 * Test Class for JSObject class
 */
class MMTest extends UnitTestCase {

	function __construct()
	{
		parent::__construct('MM Class Tests');
	}
	
	function setUp()
	{
		$this->mm = new MM(array(
			'foo' => 54,
			'bar' => 'baz',
		));
	}
	
	function tearDown()
	{
		unset($this->mm);
	}
	
	function testToStringDevel()
	{	
		// __toString produces same output as print_r by default
		$this->assertIdentical($this->mm->__toString(), '<pre>'.print_r($this->mm, TRUE).'</pre>');
	}

}